=== debian/changelog ===
resvg (0.8.0-4) unstable; urgency=high

  * Fix the librust-jpeg-decoder-0.1-dev dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 02 Jan 2021 16:48:41 +0100

resvg (0.8.0-3) unstable; urgency=medium

  * Remove unavailable depends or provides.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 22 Dec 2020 12:33:25 +0100

resvg (0.8.0-2) unstable; urgency=medium

  * Fix the dependency in librust-usvg-dev.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 22 Nov 2020 13:32:22 +0100

resvg (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Update the dependencies, drop binary packages for individual features.
  * Update the examples.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 21 Nov 2020 23:06:38 +0100

resvg (0.5.0-2) unstable; urgency=medium

  * No changes rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 12 Jul 2019 00:37:55 +0200

resvg (0.5.0-1) unstable; urgency=medium

  * Initial upload (Closes: #918910).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 11 Feb 2019 14:13:43 +0100
