=== debian/control ===
Source: resvg
Section: graphics
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-cargo (>= 10),
 cargo:native,
 rustc:native,
 librust-base64-0+default-dev (>= 0.10-~~),
 librust-cairo-rs-0+default-dev (>= 0.7-~~),
 librust-cairo-rs-0+png-dev (>= 0.7-~~),
 librust-cairo-sys-rs-0+default-dev (>= 0.7.0-~~),
 librust-cc-1+default-dev,
 librust-data-url-0+default-dev,
 librust-fern-0+default-dev (>= 0.5-~~),
 librust-gdk-pixbuf-0+default-dev (>= 0.5-~~),
 librust-gio-0+default-dev (>= 0.5.0-~~),
 librust-glib-0+default-dev (>= 0.6.0-~~),
 librust-gtk-0+default-dev (>= 0.5.0-~~),
 librust-harfbuzz-rs-1+default-dev,
 librust-jpeg-decoder-0.1-dev (>= 0.1.15-~~),
 librust-kurbo-0.7+default-dev (>= 0.7-~~),
 librust-libflate-0+default-dev (>= 0.1-~~),
 librust-log-0+default-dev (>= 0.4-~~),
 librust-lyon-geom-0+default-dev (>= 0.12-~~),
 librust-memmap-0+default-dev (>= 0.7-~~),
 librust-pico-args-0.3+default-dev,
 librust-pango-0+default-dev (>= 0.5-~~),
 librust-pangocairo-0+default-dev (>= 0.6-~~),
 librust-pkg-config-0+default-dev (>= 0.3-~~),
 librust-png-0+default-dev (>= 0.15-~~),
 librust-rctree-0+default-dev (>= 0.3-~~),
 librust-roxmltree-0.7+default-dev,
 librust-rgb-0+default-dev (>= 0.8-~~),
 librust-simplecss-0.2+default-dev,
 librust-siphasher-0.3+default-dev (>= 0.3-~~),
 librust-svgtypes-0.5+default-dev,
 librust-time-0+default-dev (>= 0.1-~~),
 librust-ttf-parser-0+default-dev (>= 0.3-~~),
 librust-unicode-bidi-0.3+default-dev,
 librust-unicode-script-0.5+default-dev,
 librust-unicode-vo-0.1+default-dev,
 librust-xmlwriter-0.1+default-dev,
 libstd-rust-dev,
 patchelf,
 qtbase5-dev,
Maintainer: Andrej Shadura <andrewsh@debian.org>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/RazrFalcon/resvg
Vcs-Git: https://salsa.debian.org/debian/resvg.git
Vcs-Browser: https://salsa.debian.org/debian/resvg

Package: libresvg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libresvg0 (= ${binary:Version})
Description: SVG rendering library (development files)
 libresvg is a library to render SVG files based on a static
 SVG Full 1.1 subset. It is a fast, small, portable, multiple
 backend SVG library designed for edge-cases.
 .
 libresvg supports Cairo and Qt backends.
 .
 This package provides development files for libresvg.

Package: libresvg0
Section: libs
Architecture: any
Multi-Arch: same
Provides:
 libresvg0-cairo,
 libresvg0-qt
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: SVG rendering library (shared library)
 libresvg is a library to render SVG files based on a static
 SVG Full 1.1 subset. It is a fast, small, portable, multiple
 backend SVG library designed for edge-cases.
 .
 libresvg supports Cairo and Qt backends.
 .
 This package provides the libresvg shared library.

Package: librust-resvg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cairo-rs-0+png-dev (>= 0.7-~~),
 librust-jpeg-decoder-0.1-dev (>= 0.1.15-~~),
 librust-log-0+default-dev (>= 0.4-~~),
 librust-png-0-dev,
 librust-resvg-qt-0.8+default-dev,
 librust-rgb-0.8+default-dev,
 librust-usvg-0.8+default-dev
Provides:
 librust-resvg+cairo-backend-dev (= ${binary:Version}),
 librust-resvg+cairo-rs-dev (= ${binary:Version}),
 librust-resvg+default-dev (= ${binary:Version}),
 librust-resvg+qt-backend-dev (= ${binary:Version}),
 librust-resvg+resvg-qt-dev (= ${binary:Version}),
 librust-resvg-0-dev (= ${binary:Version}),
 librust-resvg-0+cairo-backend-dev (= ${binary:Version}),
 librust-resvg-0+cairo-rs-dev (= ${binary:Version}),
 librust-resvg-0+default-dev (= ${binary:Version}),
 librust-resvg-0+qt-backend-dev (= ${binary:Version}),
 librust-resvg-0+resvg-qt-dev (= ${binary:Version}),
 librust-resvg-0.8-dev (= ${binary:Version}),
 librust-resvg-0.8+cairo-backend-dev (= ${binary:Version}),
 librust-resvg-0.8+cairo-rs-dev (= ${binary:Version}),
 librust-resvg-0.8+default-dev (= ${binary:Version}),
 librust-resvg-0.8+qt-backend-dev (= ${binary:Version}),
 librust-resvg-0.8+resvg-qt-dev (= ${binary:Version}),
 librust-resvg-0.8.0-dev (= ${binary:Version}),
 librust-resvg-0.8.0+cairo-backend-dev (= ${binary:Version}),
 librust-resvg-0.8.0+cairo-rs-dev (= ${binary:Version}),
 librust-resvg-0.8.0+default-dev (= ${binary:Version}),
 librust-resvg-0.8.0+qt-backend-dev (= ${binary:Version}),
 librust-resvg-0.8.0+resvg-qt-dev (= ${binary:Version}),
Description: SVG rendering library - Rust source code
 This package contains the source for the Rust resvg crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-resvg-qt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librust-cc-1+default-dev,
 librust-pkg-config-0+default-dev (>= 0.3-~~),
 ${misc:Depends}
Provides:
 librust-resvg-qt+default-dev (= ${binary:Version}),
 librust-resvg-qt-0-dev (= ${binary:Version}),
 librust-resvg-qt-0+default-dev (= ${binary:Version}),
 librust-resvg-qt-0.8-dev (= ${binary:Version}),
 librust-resvg-qt-0.8+default-dev (= ${binary:Version}),
 librust-resvg-qt-0.8.0-dev (= ${binary:Version}),
 librust-resvg-qt-0.8.0+default-dev (= ${binary:Version})
Description: Minimal bindings to Qt used by resvg - Rust source code
 This package contains the source for the Rust resvg-qt crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: librust-usvg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librust-base64-0+default-dev (>= 0.10-~~),
 librust-data-url-0+default-dev,
 librust-harfbuzz-rs-1+default-dev,
 librust-kurbo-0.7+default-dev (>= 0.7-~~),
 librust-libflate-0+default-dev (>= 0.1-~~),
 librust-log-0+default-dev (>= 0.4-~~),
 librust-memmap-0+default-dev (>= 0.7-~~),
 librust-rctree-0+default-dev,
 librust-roxmltree-0.7+default-dev,
 librust-simplecss-0.2+default-dev,
 librust-siphasher-0.3+default-dev (>= 0.3-~~),
 librust-svgtypes-0.5+default-dev,
 librust-ttf-parser-0+default-dev (>= 0.3-~~),
 librust-unicode-bidi-0.3+default-dev,
 librust-unicode-script-0.5+default-dev,
 librust-unicode-vo-0.1+default-dev,
 librust-xmlwriter-0.1+default-dev
 ${misc:Depends}
Provides:
 librust-usvg+default-dev (= ${binary:Version}),
 librust-usvg-0-dev (= ${binary:Version}),
 librust-usvg-0+default-dev (= ${binary:Version}),
 librust-usvg-0.8-dev (= ${binary:Version}),
 librust-usvg-0.8+default-dev (= ${binary:Version}),
 librust-usvg-0.8.0-dev (= ${binary:Version}),
 librust-usvg-0.8.0+default-dev (= ${binary:Version})
Description: SVG simplification library - Rust source code
 This package contains the source for the Rust usvg crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: resvg
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: SVG rendering library (command-line utility)
 resvg is a command-line utility to render SVG files based on a static
 SVG Full 1.1 subset. It is a fast, small, portable, multiple
 backend SVG library designed for edge-cases.
 .
 resvg supports Cairo and Qt backends.

Package: usvg
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: SVG simplification tool
 usvg is a command-line utility to simplify SVG files based on a static
 SVG Full 1.1 subset. It converts an input SVG to an extremely
 simple representation, which is still a valid SVG:
 .
  * No basic shapes (rect, circle, etc), only paths
  * Only simple paths
  * All supported attributes are resolved
  * Invisible elements are removed
  * Comments will be removed
  * DTD will be resolved
  * CSS will be resolved
 .
 and so on.
