=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/resvg-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/  \
  https://github.com/RazrFalcon/resvg/tags .*/archive/v(\d[^\s\-]*)\.tar\.gz
