=== debian/changelog ===
resvg (0.44.0-4) unstable; urgency=medium

  * fix autopkgtest-dependencies;
    add patch 1002 to add feature fencing for tests;
    closes: bug#1098474, thanks to NoisyCoil
  * declare compliance with Debian Policy 4.7.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Feb 2025 10:14:52 +0100

resvg (0.44.0-3) unstable; urgency=medium

  * update git-buildpackage config: simplify usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling
    + use Github API
  * use package section rust (not libdevel) for rust crates

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2025 16:20:28 +0100

resvg (0.44.0-2) experimental; urgency=medium

  * drop patches 2001_data-url 2001_gif 2001_kurbo,
    obsoleted by Debian packaging changes;
    tighten (build-)dependencies for crates data-url gif kurbo
  * fix install generated upstream changelog

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2025 15:57:31 +0100

resvg (0.44.0-1) experimental; urgency=medium

  * reintroduce package,
    without C binding binary packages for now

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jan 2025 20:35:21 +0100

resvg (0.44.0-1+keeppkg) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Andrej Shadura ]
  * Remove cargo-checksums, they're no longer needed

  [ Jonas Smedegaard ]
  * adopt package;
    thanks to Andrej Shadura for previous work
  * add git-buildpackage config to source package
  * reorganize and update patches,
    using upstream cherry-picked patches where possible;
    add DEP-3 patch headers;
    add file debian/patches/README documenting patch naming micro-policy
  * add source helper tool copyright-check
  * update copyright info:
    + use License-Grant and Reference fields
    + normalize whitespace
    + update coverage, thanks to copyright-check
  * use declarative debhelper snippet for cleaning static paths
  * use debhelper compatibility level 13 (not 12)
  * simplify rules;
    build-depend on dh-sequence-cargo
    (not dh-cargo cargo rustc libstd-rust-dev)
  * set rust packages as arch:all multi-ach:foreign
    (not arch:any multi-arch:same)
  * declare compliance with Debian Policy 4.7.0
  * update watch file:
    + add usage comment
    + use substitution strings
    + improve filename mangling
    + drop seemingly unused prerelease handling
  * stop provide binary package librust-resvg-qt-dev
    or provide virtual packages libresvg0-cairo libresvg0-qt,
    as upstream provided only one C binding now
  * update (build-)dependencies
    and virtually provided crate and feature packages
    with simplified dependency versioning
  * wrap and sort control files and debhelper snippets
  * add autopkgtests
  * generate documentation from upstream source;
    build-depend on asciidoctor cmark-gfm help2man
    libstring-shellquote-perl
  * temporarily avoid building C binding
  * omit some failing tests,
    possibly related to misaligned crates
  * add patch 2002 to avoid privacy leak in documentation

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jan 2025 18:46:16 +0100
