=== debian/control ===
Source: resvg
Section: graphics
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 asciidoctor <!nodoc>,
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-rust,
 help2man <!nodoc>,
 librust-base64-0.22+default-dev,
 librust-data-url-0.3+default-dev,
 librust-flate2-1+rust-backend-dev,
 librust-fontdb-0.22+default-dev,
 librust-fontdb-0.22+fontconfig-dev,
 librust-fontdb-0.22+fs-dev,
 librust-fontdb-0.22+memmap-dev,
 librust-gif-0.13+default-dev,
 librust-image-webp-0.2+default-dev,
 librust-imagesize-0.13+default-dev,
 librust-kurbo-0.11+default-dev,
 librust-log-0.4+default-dev,
 librust-once-cell-1+default-dev,
 librust-pico-args-0.5+default-dev,
 librust-pico-args-0.5+eq-separator-dev,
 librust-png-0.17+default-dev,
 librust-rgb-0.8+default-dev,
 librust-roxmltree-0.20+default-dev,
 librust-rustybuzz-0.18+default-dev,
 librust-simplecss-0.2+default-dev,
 librust-siphasher-1+default-dev,
 librust-strict-num-0.1+default-dev,
 librust-svgtypes-0.15+default-dev,
 librust-tiny-skia-0.11+default-dev,
 librust-tiny-skia-path-0.11+default-dev,
 librust-unicode-bidi-0.3+default-dev,
 librust-unicode-script-0.5+default-dev,
 librust-unicode-vo-0.1+default-dev,
 librust-xmlwriter-0.1+default-dev,
 librust-zune-jpeg-0.4+default-dev,
 libstring-shellquote-perl <!nodoc>,
# patchelf,
# qtbase5-dev,
Standards-Version: 4.7.1
Rules-Requires-Root: no
Homepage: https://github.com/RazrFalcon/resvg
Vcs-Git: https://salsa.debian.org/debian/resvg.git
Vcs-Browser: https://salsa.debian.org/debian/resvg

#Package: libresvg-dev
#Section: libdevel
#Architecture: any
#Multi-Arch: same
#Depends:
# libresvg0 (= ${binary:Version}),
# ${misc:Depends},
#Provides:
# libresvg-dev,
# librust-resvg-capi-0.44.0-dev (= ${binary:Version}),
#Description: SVG rendering library (development files)
# libresvg is a library to render SVG files based on a static
# SVG Full 1.1 subset. It is a fast, small, portable, multiple
# backend SVG library designed for edge-cases.
# .
# libresvg supports Cairo and Qt backends.
# .
# This package provides development files for libresvg.

#Package: libresvg0
#Section: libs
#Architecture: any
#Multi-Arch: same
#Depends:
# ${misc:Depends},
# ${shlibs:Depends},
#Description: SVG rendering library (shared library)
# libresvg is a library to render SVG files based on a static
# SVG Full 1.1 subset. It is a fast, small, portable, multiple
# backend SVG library designed for edge-cases.
# .
# libresvg supports Cairo and Qt backends.
# .
# This package provides the libresvg shared library.

Package: librust-resvg-dev
Section: rust
Architecture: all
Multi-Arch: foreign
Depends:
 librust-gif-0.13+default-dev,
 librust-image-webp-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-pico-args-0.5+default-dev,
 librust-pico-args-0.5+eq-separator-dev,
 librust-rgb-0.8+default-dev,
 librust-svgtypes-0.15+default-dev,
 librust-tiny-skia-0.11+default-dev,
 librust-usvg-0.44+default-dev,
 librust-usvg-0.44+memmap-fonts-dev,
 librust-usvg-0.44+system-fonts-dev,
 librust-usvg-0.44+text-dev,
 librust-zune-jpeg-0.4+default-dev,
 ${misc:Depends},
Provides:
 librust-resvg-0.44+default-dev (= ${binary:Version}),
 librust-resvg-0.44+memmap-fonts-dev (= ${binary:Version}),
 librust-resvg-0.44+raster-images-dev (= ${binary:Version}),
 librust-resvg-0.44+system-fonts-dev (= ${binary:Version}),
 librust-resvg-0.44+text-dev (= ${binary:Version}),
 librust-resvg-0.44-dev (= ${binary:Version}),
 librust-resvg-0.44.0-dev (= ${binary:Version}),
Description: SVG rendering library - Rust source code
 This package contains the source for the Rust resvg crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-usvg-dev
Section: rust
Architecture: all
Multi-Arch: foreign
Depends:
 librust-base64-0.22+default-dev,
 librust-data-url-0.3+default-dev,
 librust-flate2-1+rust-backend-dev,
 librust-fontdb-0.22+default-dev,
 librust-fontdb-0.22+fontconfig-dev,
 librust-fontdb-0.22+fs-dev,
 librust-fontdb-0.22+memmap-dev,
 librust-imagesize-0.13+default-dev,
 librust-kurbo-0.11+default-dev,
 librust-log-0.4+default-dev,
 librust-pico-args-0.5+default-dev,
 librust-pico-args-0.5+eq-separator-dev,
 librust-roxmltree-0.20+default-dev,
 librust-rustybuzz-0.18+default-dev,
 librust-simplecss-0.2+default-dev,
 librust-siphasher-1+default-dev,
 librust-strict-num-0.1+default-dev,
 librust-svgtypes-0.15+default-dev,
 librust-tiny-skia-path-0.11+default-dev,
 librust-unicode-bidi-0.3+default-dev,
 librust-unicode-script-0.5+default-dev,
 librust-unicode-vo-0.1+default-dev,
 librust-xmlwriter-0.1+default-dev,
 ${misc:Depends},
Provides:
 librust-usvg-0.44+default-dev (= ${binary:Version}),
 librust-usvg-0.44+memmap-fonts-dev (= ${binary:Version}),
 librust-usvg-0.44+system-fonts-dev (= ${binary:Version}),
 librust-usvg-0.44+text-dev (= ${binary:Version}),
 librust-usvg-0.44-dev (= ${binary:Version}),
 librust-usvg-0.44.0-dev (= ${binary:Version}),
Description: SVG simplification library - Rust source code
 This package contains the source for the Rust usvg crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: resvg
X-Cargo-Crates:
 resvg,
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SVG rendering library (command-line utility)
 resvg is a command-line utility to render SVG files based on a static
 SVG Full 1.1 subset. It is a fast, small, portable, multiple
 backend SVG library designed for edge-cases.
 .
 resvg supports Cairo and Qt backends.

Package: usvg
X-Cargo-Crates:
 usvg,
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SVG simplification tool
 usvg is a command-line utility to simplify SVG files based on a static
 SVG Full 1.1 subset. It converts an input SVG to an extremely
 simple representation, which is still a valid SVG:
 .
  * No basic shapes (rect, circle, etc), only paths
  * Only simple paths
  * All supported attributes are resolved
  * Invisible elements are removed
  * Comments will be removed
  * DTD will be resolved
  * CSS will be resolved
 .
 and so on.
