## resvg 0.45.0

=== debian/changelog ===
resvg (0.45.0-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Mar 2025 12:15:08 +0200

resvg (0.45.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update URIs to upstream source and issue tracker
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * build-depend on packages for crates itertools phf phf_codegen
  * declare compliance with Debian Policy 4.7.2
  * update copyright info: update coverage
  * add TODO note about autogenerated files

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Mar 2025 10:41:03 +0200
