=== debian/control ===
--- 
+++ 
@@ -18,9 +18,12 @@
  librust-gif-0.13+default-dev,
  librust-image-webp-0.2+default-dev,
  librust-imagesize-0.13+default-dev,
+ librust-itertools-0.13+default-dev,
  librust-kurbo-0.11+default-dev,
  librust-log-0.4+default-dev,
  librust-once-cell-1+default-dev,
+ librust-phf-0.11+default-dev,
+ librust-phf-codegen-0.11+default-dev,
  librust-pico-args-0.5+default-dev,
  librust-pico-args-0.5+eq-separator-dev,
  librust-png-0.17+default-dev,
@@ -41,9 +44,9 @@
  libstring-shellquote-perl <!nodoc>,
 # patchelf,
 # qtbase5-dev,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://github.com/RazrFalcon/resvg
+Homepage: https://github.com/linebender/resvg
 Vcs-Git: https://salsa.debian.org/debian/resvg.git
 Vcs-Browser: https://salsa.debian.org/debian/resvg
 
@@ -56,7 +59,7 @@
 # ${misc:Depends},
 #Provides:
 # libresvg-dev,
-# librust-resvg-capi-0.44.0-dev (= ${binary:Version}),
+# librust-resvg-capi-0.45.0-dev (= ${binary:Version}),
 #Description: SVG rendering library (development files)
 # libresvg is a library to render SVG files based on a static
 # SVG Full 1.1 subset. It is a fast, small, portable, multiple
@@ -95,20 +98,20 @@
  librust-rgb-0.8+default-dev,
  librust-svgtypes-0.15+default-dev,
  librust-tiny-skia-0.11+default-dev,
- librust-usvg-0.44+default-dev,
- librust-usvg-0.44+memmap-fonts-dev,
- librust-usvg-0.44+system-fonts-dev,
- librust-usvg-0.44+text-dev,
+ librust-usvg-0.45+default-dev,
+ librust-usvg-0.45+memmap-fonts-dev,
+ librust-usvg-0.45+system-fonts-dev,
+ librust-usvg-0.45+text-dev,
  librust-zune-jpeg-0.4+default-dev,
  ${misc:Depends},
 Provides:
- librust-resvg-0.44+default-dev (= ${binary:Version}),
- librust-resvg-0.44+memmap-fonts-dev (= ${binary:Version}),
- librust-resvg-0.44+raster-images-dev (= ${binary:Version}),
- librust-resvg-0.44+system-fonts-dev (= ${binary:Version}),
- librust-resvg-0.44+text-dev (= ${binary:Version}),
- librust-resvg-0.44-dev (= ${binary:Version}),
- librust-resvg-0.44.0-dev (= ${binary:Version}),
+ librust-resvg-0.45+default-dev (= ${binary:Version}),
+ librust-resvg-0.45+memmap-fonts-dev (= ${binary:Version}),
+ librust-resvg-0.45+raster-images-dev (= ${binary:Version}),
+ librust-resvg-0.45+system-fonts-dev (= ${binary:Version}),
+ librust-resvg-0.45+text-dev (= ${binary:Version}),
+ librust-resvg-0.45-dev (= ${binary:Version}),
+ librust-resvg-0.45.0-dev (= ${binary:Version}),
 Description: SVG rendering library - Rust source code
  This package contains the source for the Rust resvg crate, packaged by debcargo
  for use with cargo and dh-cargo.
@@ -143,12 +146,12 @@
  librust-xmlwriter-0.1+default-dev,
  ${misc:Depends},
 Provides:
- librust-usvg-0.44+default-dev (= ${binary:Version}),
- librust-usvg-0.44+memmap-fonts-dev (= ${binary:Version}),
- librust-usvg-0.44+system-fonts-dev (= ${binary:Version}),
- librust-usvg-0.44+text-dev (= ${binary:Version}),
- librust-usvg-0.44-dev (= ${binary:Version}),
- librust-usvg-0.44.0-dev (= ${binary:Version}),
+ librust-usvg-0.45+default-dev (= ${binary:Version}),
+ librust-usvg-0.45+memmap-fonts-dev (= ${binary:Version}),
+ librust-usvg-0.45+system-fonts-dev (= ${binary:Version}),
+ librust-usvg-0.45+text-dev (= ${binary:Version}),
+ librust-usvg-0.45-dev (= ${binary:Version}),
+ librust-usvg-0.45.0-dev (= ${binary:Version}),
 Description: SVG simplification library - Rust source code
  This package contains the source for the Rust usvg crate, packaged by debcargo
  for use with cargo and dh-cargo.
