=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --all-features
Features:
 test-name=rust-resvg:@,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets
Features:
 test-name=rust-resvg:default,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --no-default-features
Features:
 test-name=rust-resvg:,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --no-default-features --features memmap-fonts
Features:
 test-name=rust-resvg:memmap-fonts,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45+memmap-fonts-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --no-default-features --features raster-images
Features:
 test-name=rust-resvg:raster-images,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45+raster-images-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --no-default-features --features system-fonts
Features:
 test-name=rust-resvg:system-fonts,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45+system-fonts-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
 --all-targets --no-default-features --features text
Features:
 test-name=rust-resvg:text,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-png-0.17+default-dev,
 librust-resvg-0.45+text-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
 --all-targets --all-features
Features:
 test-name=rust-usvg:@,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-usvg-0.45-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
 --all-targets
Features:
 test-name=rust-usvg:default,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-usvg-0.45+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
 --all-targets --no-default-features
Features:
 test-name=rust-usvg:,
Depends:
 dh-rust,
 librust-once-cell-1+default-dev,
 librust-usvg-0.45-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
