=== debian/changelog ===
resvg (0.45.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Apr 2025 06:47:04 +0200

resvg (0.45.0-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to support SVGs without the xmlns attribute on the root
  * apply hardening flags
    and restore upstream default optimization level by default

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Apr 2025 11:43:58 +0200
