=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 # ${misc:Depends},
 #Provides:
 # libresvg-dev,
-# librust-resvg-capi-0.45.0-dev (= ${binary:Version}),
+# librust-resvg-capi-0.45.1-dev (= ${binary:Version}),
 #Description: SVG rendering library (development files)
 # libresvg is a library to render SVG files based on a static
 # SVG Full 1.1 subset. It is a fast, small, portable, multiple
@@ -111,7 +111,7 @@
  librust-resvg-0.45+system-fonts-dev (= ${binary:Version}),
  librust-resvg-0.45+text-dev (= ${binary:Version}),
  librust-resvg-0.45-dev (= ${binary:Version}),
- librust-resvg-0.45.0-dev (= ${binary:Version}),
+ librust-resvg-0.45.1-dev (= ${binary:Version}),
 Description: SVG rendering library - Rust source code
  This package contains the source for the Rust resvg crate, packaged by debcargo
  for use with cargo and dh-cargo.
@@ -151,7 +151,7 @@
  librust-usvg-0.45+system-fonts-dev (= ${binary:Version}),
  librust-usvg-0.45+text-dev (= ${binary:Version}),
  librust-usvg-0.45-dev (= ${binary:Version}),
- librust-usvg-0.45.0-dev (= ${binary:Version}),
+ librust-usvg-0.45.1-dev (= ${binary:Version}),
 Description: SVG simplification library - Rust source code
  This package contains the source for the Rust usvg crate, packaged by debcargo
  for use with cargo and dh-cargo.
