=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,16 @@
 DOCS += crates/usvg/docs/spec.html
 CHANGELOGS = CHANGELOG.html CHANGELOG.txt
 MANPAGES = debian/resvg.1 debian/usvg.1
+endif
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
+
+# trust upstream optimization level unless explicitly disabled
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+export DEB_CFLAGS_MAINT_STRIP = -O2
+export DEB_CXXFLAGS_MAINT_STRIP = -O2
 endif
 
 # generate manual pages from output of clap-based Rust binary
