=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # check single-feature tests only on amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --all-features
 Features:
  test-name=rust-resvg:@,
@@ -12,7 +12,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets
 Features:
  test-name=rust-resvg:default,
@@ -24,7 +24,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --no-default-features
 Features:
  test-name=rust-resvg:,
@@ -36,7 +36,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --no-default-features --features memmap-fonts
 Features:
  test-name=rust-resvg:memmap-fonts,
@@ -49,7 +49,7 @@
  allow-stderr,
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --no-default-features --features raster-images
 Features:
  test-name=rust-resvg:raster-images,
@@ -62,7 +62,7 @@
  allow-stderr,
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --no-default-features --features system-fonts
 Features:
  test-name=rust-resvg:system-fonts,
@@ -75,7 +75,7 @@
  allow-stderr,
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test resvg 0.45.1
  --all-targets --no-default-features --features text
 Features:
  test-name=rust-resvg:text,
@@ -88,7 +88,7 @@
  allow-stderr,
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.1
  --all-targets --all-features
 Features:
  test-name=rust-usvg:@,
@@ -99,7 +99,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.1
  --all-targets
 Features:
  test-name=rust-usvg:default,
@@ -110,7 +110,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.1
  --all-targets --no-default-features
 Features:
  test-name=rust-usvg:,
@@ -121,4 +121,4 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.0
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test usvg 0.45.1
