=== debian/watch ===
--- 
+++ 
@@ -8,5 +8,5 @@
 downloadurlmangle=s!api.github.com/repos/[^/]+/[^/]+/\Kgit/!tarball/!g,\
 searchmode=plain,\
 dversionmangle=auto \
-https://api.github.com/repos/RazrFalcon/resvg/git/matching-refs/tags/ \
+https://api.github.com/repos/linebender/resvg/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
